description

# VariableMirror class Null safety

A VariableMirror reflects a Dart language variable declaration.

Implemented types
  - DeclarationMirror
Implementers
  - ParameterMirror

## Constructors

VariableMirror()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isConst → bool
  Returns `true` if the reflectee is declared `const`. Otherwise returns `false`.
  read-only
isExtensionMember → bool
  Is the reflectee an extension member?
  read-only
isFinal → bool
  Returns `true` if the reflectee is a final variable. Otherwise returns `false`.
  read-only
isPrivate → bool
  Whether this declaration is library private. [...]
  read-only, inherited
isStatic → bool
  Returns `true` if the reflectee is a static variable. Otherwise returns `false`. [...]
  read-only
isTopLevel → bool
  Whether this declaration is top-level. [...]
  read-only, inherited
location → SourceLocation?
  The source location of this Dart language entity, or `null` if the entity is synthetic. [...]
  read-only, inherited
metadata → List<InstanceMirror>
  A list of the metadata associated with this declaration. [...]
  read-only, inherited
owner → DeclarationMirror?
  A mirror on the owner of this Dart language entity. [...]
  read-only, inherited
qualifiedName → Symbol
  The fully-qualified name for this Dart language entity. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
simpleName → Symbol
  The simple name for this Dart language entity. [...]
  read-only, inherited
type → TypeMirror
  Returns a mirror on the type of the reflectee.
  read-only

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  Whether this mirror is equal to `other`. [...]
  override